program ClappingMusic ! by Gilberto Agostinho (21.01.2014)
implicit none

character, dimension(:), allocatable :: cell
integer :: cell_size
integer :: i, j, aux

open(unit=11,file="output.TXT")

write(*,*) "Please input the pattern size (Reich's pattern is size 12)"
read(*,*) cell_size
allocate(cell(1:cell_size))
write(*,*)
write(*,*) "Please input your pattern using x for claps and - for rests, one element at a time"
write(*,*) "(Reich's pattern is x x x - x x - x - x x -)"
do i=1,cell_size
  write(*,"(1x,A29,1x,I2)") "Please enter the element no.:", i
  read(*,*) cell(i)
enddo

do i=1,(cell_size+1) 

! ======== Player 1 ======== 
  do j=1,cell_size
    write(11,"(A1)",advance="NO") cell(j)
  enddo
  write(11,"(A2)") " |"
  
! ======== Player 2 ======== 
  do j=1,cell_size
    aux=MOD((j+i-1),cell_size)
    if (aux==0) aux=cell_size
    write(11,"(A1)",advance="NO") cell(aux)
  enddo
  write(11,"(A2)") " |"
  write(11,*)
  
enddo

end program ClappingMusic

